cURL
pcall GET "/api/v1/partner/skills/sk_38824"const res = await call("GET", "/api/v1/partner/skills/sk_38824");
const { data } = await res.json();res = call("GET", "/api/v1/partner/skills/sk_38824")
data = res.json()["data"]<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-bc.userecord.io/api/v1/partner/skills/{skill_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>",
"x-secret-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-bc.userecord.io/api/v1/partner/skills/{skill_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("x-secret-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-bc.userecord.io/api/v1/partner/skills/{skill_id}")
.header("x-api-key", "<api-key>")
.header("x-secret-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-bc.userecord.io/api/v1/partner/skills/{skill_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
request["x-secret-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"skill_id": "sk_38824",
"name": "Packing Station Setup",
"sub_domain": {
"id": "sub_logistics_and_mobility_management__inventory_and_warehousing",
"name": "Inventory and Warehousing"
},
"domain": {
"id": "dom_logistics_and_mobility_management",
"name": "Logistics & Mobility Management"
},
"collar": "blue",
"verifiable": true,
"status": "active"
}
}{
"success": false,
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}Skills
Get a skill
Fetch one skill by its skill_id.
Scope: skills:read
GET
/
skills
/
{skill_id}
cURL
pcall GET "/api/v1/partner/skills/sk_38824"const res = await call("GET", "/api/v1/partner/skills/sk_38824");
const { data } = await res.json();res = call("GET", "/api/v1/partner/skills/sk_38824")
data = res.json()["data"]<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-bc.userecord.io/api/v1/partner/skills/{skill_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>",
"x-secret-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-bc.userecord.io/api/v1/partner/skills/{skill_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("x-secret-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-bc.userecord.io/api/v1/partner/skills/{skill_id}")
.header("x-api-key", "<api-key>")
.header("x-secret-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-bc.userecord.io/api/v1/partner/skills/{skill_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
request["x-secret-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"skill_id": "sk_38824",
"name": "Packing Station Setup",
"sub_domain": {
"id": "sub_logistics_and_mobility_management__inventory_and_warehousing",
"name": "Inventory and Warehousing"
},
"domain": {
"id": "dom_logistics_and_mobility_management",
"name": "Logistics & Mobility Management"
},
"collar": "blue",
"verifiable": true,
"status": "active"
}
}{
"success": false,
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}Authorizations
Your key id, VFN_TEST_… or VFN_LIVE_…. Sent on every request.
Your secret, VFN_SK_…. Not a real header, and never sent to the API. It is only a form field for Try it, which uses it to sign your request in your browser. In your own code you sign each request with the secret and send x-api-key, x-timestamp and x-signature (see Authentication).
Path Parameters
Pattern:
^sk_\d{1,9}$
